package io.gisbi.application.module.service;

import io.gisbi.application.module.domain.Module;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 应用_系统模块 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-03-25
 */
public interface IModuleService extends IService<Module> {

    /**
     * 创建模块
     * @param Module module
     * @return 存在返回true
     */
    boolean createModule(Module module);

    /**
     * 检查是否存在子节点
     * @param pid 父ID
     * @return 存在返回true
     */
    boolean existsChildrenByPid(String  appId,String pid);

    /**
     * 新增项目时，初始化创建项目模块
     * @param appId 项目ID
     * @return 存在返回true
     */
    boolean initAppModules(String  appId);
    /**
     * 删除项目时，删除项目模块
     * @param appId 项目ID
     * @return 存在返回true
     */
    boolean deleteModulesByAppID(String  appId);
}
